Package com.rosivanyshyn.db.dao.constant

# Class Field

java.lang.Object
com.rosivanyshyn.db.dao.constant.Field

public class Field extends Object
Database fields constants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCOUNT_EMAIL`
  `static final String`
  `ACCOUNT_FIRST_NAME`
  `static final String`
  `ACCOUNT_LAST_NAME`
  `static final String`
  `ACCOUNT_PASSWORD`
  `static final String`
  `ACCOUNT_ROLE`
  `static final String`
  `APARTMENT`
  `static final String`
  `APARTMENT_ADRESS`
  `static final String`
  `APARTMENT_CLASS`
  `static final String`
  `APARTMENT_DESCRIPTION`
  `static final String`
  `APARTMENT_IMAGE_URL`
  `static final String`
  `APARTMENT_MAX_GUEST_NUMBER`
  `static final String`
  `APARTMENT_PRICE`
  `static final String`
  `APARTMENT_ROOMS_NUMBER`
  `static final String`
  `APARTMENT_TITLE`
  `static final String`
  `BOOKING`
  `static final String`
  `BOOKING_ACCOUNT_ID`
  `static final String`
  `BOOKING_APARTMENT_ID`
  `static final String`
  `BOOKING_CHECK_IN_DATE`
  `static final String`
  `BOOKING_CHECK_OUT_DATE`
  `static final String`
  `BOOKING_GUESTS_NUMBER`
  `static final String`
  `BOOKING_IS_PAID_FOR_RESERVATION`
  `static final String`
  `BOOKING_RESERVATION_DATA`
  `static final String`
  `ENTITY_ID`
  `static final String`
  `ENTITY_STATE`
  `static final String`
  `ORDER_ACCOUNT_ID`
  `static final String`
  `ORDER_APARTMENT_CLASS`
  `static final String`
  `ORDER_APARTMENT_PRICE`
  `static final String`
  `ORDER_CHECK_IN_DATE`
  `static final String`
  `ORDER_CHECK_OUT_DATE`
  `static final String`
  `ORDER_DESCRIPTION`
  `static final String`
  `ORDER_GUESTS_NUMBER`
  `static final String`
  `ORDER_RESPONSE_TO_ORDER_ID`
  `static final String`
  `ORDER_ROOMS_NUMBER`
  `static final String`
  `RESPONSE_TO_ORDER_DESKR`
  `static final String`
  `RESPONSE_TO_ORDER_HAS_APARTMENT`
  `static final String`
  `RESPONSE_TO_ORDER_HAS_APARTMENT_AP_ID`
  `static final String`
  `RESPONSE_TO_ORDER_HAS_APARTMENT_RS_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Field()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ENTITY_ID

    public static final String ENTITY_ID
    See Also:
      - Constant Field Values

  - ### ENTITY_STATE

    public static final String ENTITY_STATE
    See Also:
      - Constant Field Values

  - ### ACCOUNT_ROLE

    public static final String ACCOUNT_ROLE
    See Also:
      - Constant Field Values

  - ### ACCOUNT_FIRST_NAME

    public static final String ACCOUNT_FIRST_NAME
    See Also:
      - Constant Field Values

  - ### ACCOUNT_LAST_NAME

    public static final String ACCOUNT_LAST_NAME
    See Also:
      - Constant Field Values

  - ### ACCOUNT_EMAIL

    public static final String ACCOUNT_EMAIL
    See Also:
      - Constant Field Values

  - ### ACCOUNT_PASSWORD

    public static final String ACCOUNT_PASSWORD
    See Also:
      - Constant Field Values

  - ### APARTMENT

    public static final String APARTMENT
    See Also:
      - Constant Field Values

  - ### APARTMENT_TITLE

    public static final String APARTMENT_TITLE
    See Also:
      - Constant Field Values

  - ### APARTMENT_DESCRIPTION

    public static final String APARTMENT_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### APARTMENT_IMAGE_URL

    public static final String APARTMENT_IMAGE_URL
    See Also:
      - Constant Field Values

  - ### APARTMENT_ADRESS

    public static final String APARTMENT_ADRESS
    See Also:
      - Constant Field Values

  - ### APARTMENT_MAX_GUEST_NUMBER

    public static final String APARTMENT_MAX_GUEST_NUMBER
    See Also:
      - Constant Field Values

  - ### APARTMENT_ROOMS_NUMBER

    public static final String APARTMENT_ROOMS_NUMBER
    See Also:
      - Constant Field Values

  - ### APARTMENT_CLASS

    public static final String APARTMENT_CLASS
    See Also:
      - Constant Field Values

  - ### APARTMENT_PRICE

    public static final String APARTMENT_PRICE
    See Also:
      - Constant Field Values

  - ### BOOKING

    public static final String BOOKING
    See Also:
      - Constant Field Values

  - ### BOOKING_GUESTS_NUMBER

    public static final String BOOKING_GUESTS_NUMBER
    See Also:
      - Constant Field Values

  - ### BOOKING_CHECK_IN_DATE

    public static final String BOOKING_CHECK_IN_DATE
    See Also:
      - Constant Field Values

  - ### BOOKING_CHECK_OUT_DATE

    public static final String BOOKING_CHECK_OUT_DATE
    See Also:
      - Constant Field Values

  - ### BOOKING_IS_PAID_FOR_RESERVATION

    public static final String BOOKING_IS_PAID_FOR_RESERVATION
    See Also:
      - Constant Field Values

  - ### BOOKING_RESERVATION_DATA

    public static final String BOOKING_RESERVATION_DATA
    See Also:
      - Constant Field Values

  - ### BOOKING_ACCOUNT_ID

    public static final String BOOKING_ACCOUNT_ID
    See Also:
      - Constant Field Values

  - ### BOOKING_APARTMENT_ID

    public static final String BOOKING_APARTMENT_ID
    See Also:
      - Constant Field Values

  - ### ORDER_GUESTS_NUMBER

    public static final String ORDER_GUESTS_NUMBER
    See Also:
      - Constant Field Values

  - ### ORDER_ROOMS_NUMBER

    public static final String ORDER_ROOMS_NUMBER
    See Also:
      - Constant Field Values

  - ### ORDER_APARTMENT_CLASS

    public static final String ORDER_APARTMENT_CLASS
    See Also:
      - Constant Field Values

  - ### ORDER_APARTMENT_PRICE

    public static final String ORDER_APARTMENT_PRICE
    See Also:
      - Constant Field Values

  - ### ORDER_DESCRIPTION

    public static final String ORDER_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### ORDER_CHECK_OUT_DATE

    public static final String ORDER_CHECK_OUT_DATE
    See Also:
      - Constant Field Values

  - ### ORDER_CHECK_IN_DATE

    public static final String ORDER_CHECK_IN_DATE
    See Also:
      - Constant Field Values

  - ### ORDER_ACCOUNT_ID

    public static final String ORDER_ACCOUNT_ID
    See Also:
      - Constant Field Values

  - ### ORDER_RESPONSE_TO_ORDER_ID

    public static final String ORDER_RESPONSE_TO_ORDER_ID
    See Also:
      - Constant Field Values

  - ### RESPONSE_TO_ORDER_DESKR

    public static final String RESPONSE_TO_ORDER_DESKR
    See Also:
      - Constant Field Values

  - ### RESPONSE_TO_ORDER_HAS_APARTMENT

    public static final String RESPONSE_TO_ORDER_HAS_APARTMENT
    See Also:
      - Constant Field Values

  - ### RESPONSE_TO_ORDER_HAS_APARTMENT_RS_ID

    public static final String RESPONSE_TO_ORDER_HAS_APARTMENT_RS_ID
    See Also:
      - Constant Field Values

  - ### RESPONSE_TO_ORDER_HAS_APARTMENT_AP_ID

    public static final String RESPONSE_TO_ORDER_HAS_APARTMENT_AP_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Field

    public Field()